Date: Tue, 29 Jul 2014 10:42:12 +0000
Mime-Version: 1.0 (Produced by PhpWiki 1.5.0)
Content-Type: application/x-phpwiki;
  pagename=Help%2FGraphVizPlugin;
  flags=PAGE_LOCKED;
  charset=UTF-8
Content-Transfer-Encoding: binary

The **~GraphViz** [[Help:WikiPlugin|plugin]] passes all its arguments to the grapviz ##dot##
binary and displays the result as cached image (PNG, GIF, SVG) or
imagemap.  See [[http://www.graphviz.org/Documentation.php]],
esp. [[http://www.graphviz.org/doc/info/lang.html]] for the ##dot## language
specs.

== Notes ==
* We support all image types supported by GD so far, PNG most likely.
* On imgtype = imap, cpamx, ismap, cmap an additional mapfile will be produced.

== Usage ==

{{{
<<GraphViz [options...]
   multiline dot script ...
>>
}}}

== Arguments ==

{| class="bordered"
|-
! Argument
! Description
! Default value
|-
| **imgtype**
| Image type
| png
|-
| **alt**
| Image alternate text
|
|-
| **pages**
| <! plugin-list support !> encoded as pagename = ~[ URL = url ~]
|
|-
| **exclude**
| Exclude pages
|
|-
| **help**
| Display argument help
|
|}

== Example ==

{{{
<<GraphViz
digraph automata_0 {
        size ="8.5, 11";
        node  [ shape  = circle];
        0 [ style = filled, color=lightgrey ];
        2 [ shape = doublecircle ];
        0 -> 2 [ label = "a " ];
        0 -> 1 [ label = "other " ];
        1 -> 2 [ label = "a " ];
        1 -> 1 [ label = "other " ];
        2 -> 2 [ label = "a " ];
        2 -> 1 [ label = "other " ];
        "Machine: a" [ shape = plaintext ];
}
>>
}}}

== Author ==
* [[Help:Reini Urban|Reini Urban]]

== See Also ==
* [[Help:VisualWikiPlugin|VisualWiki]] plugin, which depends on ~GraphViz and ~WikiPluginCached.

<noinclude>
----
[[PhpWikiDocumentation]] [[CategoryWikiPlugin]]
</noinclude>
